In 'require': cannot load such file -- capifony_symfony2 (LoadError)

250 views
Skip to first unread message

Wilou

unread,
Oct 19, 2017, 1:10:18 AM10/19/17
to Capistrano
Versions:
  • Ruby 2.3.1p112
  • Capistrano (2.15.9, 2.9.0) /  capistrano-ext (1.2.1) / capistrano-maintenance (0.0.3) / capistrano_rsync_with_remote_cache (2.4.0)
  • capifony (2.8.6, 2.1.3)
  • Rake (0.9.2.2)
  • bigdecimal (1.1.0)
  • bundler (1.15.4)
  • bundler-unload (1.0.2)
  • compass (1.0.3) / compass-core (1.0.3) / compass-import-once (1.0.5)
  • daemons (1.2.4)
  • eventmachine (1.0.9.1)
  • executable-hooks (1.3.2)
  • json (1.5.5) / multi_json (1.12.2)
  • minitest (5.9.0, 2.5.1)
  • net-scp (1.2.1, 1.0.4) / net-sftp (2.1.2, 2.0.5) / net-ssh (2.9.4, 2.7.0, 2.2.1) / net-ssh-gateway (1.3.0, 1.2.0, 1.1.0)
  • rack (1.6.4) / rack-protection (1.5.3)
  • rake (0.9.2.2)
  • rb-fsevent (0.10.2) / rb-inotify (0.9.10)
  • rdoc (3.9.5)
  • ruby (0.1.0) / ruby-progressbar (1.4.1) / rubygems-bundler (1.4.4)
  • rvm (1.11.3.9)
  • sass (3.4.25) / sass-listen (4.0.0)
  • sinatra (1.4.7)

Platform:
  • I'm working on a Symfony 2 project
  • Deploying to my preprod
Logs:


<iframe width="100%" height="300" src="//pastiebin.com/embed/59e724df9edb4" allowfullscreen="allowfullscreen" frameborder="0"></iframe>



Files:
  • Capfile      

load 'deploy' if respond_to?(:namespace) # cap2 differentiator

require 'capifony_symfony2'
load
'app/config/deploy'


  • deploy.rb

http://pastiebin.com/embed/59e726f1d9c24

<iframe width="100%" height="300" src="//pastiebin.com/embed/59e726f1d9c24" allowfullscreen="allowfullscreen" frameborder="0"></iframe>


Subject:

Hello everyone, I have installed a project that was developped by someone before me. All the step for the installation were good.
However now that i'm trying to deploy it with cap preprod deploy I get the error that are given within the logs link which are :

/home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:152:in `require': cannot load such file -- capifony_symfony2 (LoadError)
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:152:in `
require'
from Capfile:3:in `load'

from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:93:in `instance_eval'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:93:in `
load'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:172:in `load_from_file'

from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:89:in `load'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:86:in `
block in load'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:86:in `each'

from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/configuration/loading.rb:86:in `load'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/cli/execute.rb:65:in `
block in load_recipes'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/cli/execute.rb:65:in `each'

from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/cli/execute.rb:65:in `load_recipes'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/cli/execute.rb:31:in `
execute!'
from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/lib/capistrano/cli/execute.rb:14:in `execute'

from /home/user/.rvm/gems/ruby-1.9.3-p551/gems/capistrano-2.9.0/bin/cap:4:in `<top (required)>'
from /home/user/.rvm/gems/ruby-1.9.3-p551/bin/cap:23:in `
load'
from /home/user/.rvm/gems/ruby-1.9.3-p551/bin/cap:23:in `<main>'

from /home/user/.rvm/gems/ruby-1.9.3-p551/bin/ruby_executable_hooks:15:in `eval'
from /home/user/.rvm/gems/ruby-1.9.3-p551/bin/ruby_executable_hooks:15:in `<main>'

Anyone got any idea about what could cause such a problem ?

Thanks for the help, for more information don't hesitate !

Lee Hambley

unread,
Oct 19, 2017, 1:15:09 AM10/19/17
to Capistrano
You don't show what command you are running, but I would suspect that the capifony_symfony2  gem is not installed or not loading. You ususaklly have to take care to run "bundle exec cap deploy...." if using Bundler. 

Word of warning: none of the maintainers, and few people active on the list use the 4 year old 2.x branch of Capistrano, so it's unlikely people will be able to help much. The 3.x branch is easier to use and better supported. (And, to my knowledge supports Symfony just as well, if not better)

--
You received this message because you are subscribed to the Google Groups "Capistrano" group.
To unsubscribe from this group and stop receiving emails from it, send an email to capistrano+unsubscribe@googlegroups.com.
To view this discussion on the web, visit https://groups.google.com/d/msgid/capistrano/c8a19354-cc7d-4717-b35a-dc87c5f344b6%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply all
Reply to author
Forward
0 new messages